Skip to main content
POST
Word Generate

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Body

application/json
prompt
string
required
Required string length: 1 - 10000
mode
enum<string>
default:action
Available options:
action,
ask
run_id
string | null

Provide to resume an existing run

init_file
string | null

file_id of an initial document

context_files
any[] | null
data_sources
Data Sources · object[] | null
image_assets
Image Assets · object[] | null
brand
Brand · object | null
async
boolean
default:false
webhook_url
string | null
idempotency_key
string | null
file_name
string | null
timeout_ms
integer | null
Required range: 10000 <= x <= 1800000

Response

Successful Response